ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008111ClearOSapp-radius - RADIUS Serverpublic2016-04-22 09:342016-12-16 20:42
Reporterdloper 
Assigned Topbaldwin 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0008111: Remove temporary upgrade code in updates to app-radius
DescriptionRemove the following commit: 1e8c90a so that we don't stop custom changes in the future.

app-radius/deploy/upgrade

# Update mschap configlet
#------------------------

CHECK=`grep "^[[:space:]]*ntlm_auth[[:space:]]*=[[:space:]]*./usr/bin/ntlm_auth" /etc/raddb/mods-available/mschap 2>/dev/null`
if [ -z "$CHECK" ]; then
    logger -p local6.notice -t installer "app-radius-core - upgrading MSCHAP configuration"
    cp -a /etc/raddb/mods-available/mschap /var/clearos/radius/backup/mschap.$TIMESTAMP
    cp /usr/clearos/apps/radius/deploy/mschap /etc/raddb/mods-available/mschap
    chown root.radiusd /etc/raddb/mods-available/mschap
    chmod 640 /etc/raddb/mods-available/mschap
fi
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-04-22 09:34 dloper New Issue
2016-06-13 08:23 pbaldwin Status new => confirmed
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-12-13 20:20 pbaldwin Status confirmed => resolved
2016-12-13 20:20 pbaldwin Fixed in Version => 7.3.0 Beta 1
2016-12-13 20:20 pbaldwin Resolution open => fixed
2016-12-13 20:20 pbaldwin Assigned To => pbaldwin
2016-12-16 20:42 pbaldwin Status resolved => closed